---
title: SVGFilterPrimitiveStandardAttributes
slug: Web/API/SVGFilterPrimitiveStandardAttributes
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFilterPrimitiveStandardAttributes</code></strong> interface defines the set of DOM attributes that are common across the filter primitive interfaces.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGFilterPrimitiveStandardAttributes.x")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("x")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFilterPrimitiveStandardAttributes.y")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("y")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFilterPrimitiveStandardAttributes.width")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("width")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFilterPrimitiveStandardAttributes.height")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} corresponding to the {{SVGAttr("height")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFilterPrimitiveStandardAttributes.result")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} corresponding to the {{SVGAttr("result")}} attribute of the given element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFilterPrimitiveStandardAttributes", "SVGFilterPrimitiveStandardAttributes")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFilterPrimitiveStandardAttributes", "SVGFilterPrimitiveStandardAttributes")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFilterPrimitiveStandardAttributes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SVGFEBlendElement")}}</li>
 <li>{{domxref("SVGFEColorMatrixElement")}}</li>
 <li>{{domxref("SVGFEComponentTransferElement")}}</li>
 <li>{{domxref("SVGFECompositeElement")}}</li>
 <li>{{domxref("SVGFEConvolveMatrixElement")}}</li>
 <li>{{domxref("SVGFEDiffuseLightingElement")}}</li>
 <li>{{domxref("SVGFEDisplacementMapElement")}}</li>
 <li>{{domxref("SVGFEDropShadowElement")}}</li>
 <li>{{domxref("SVGFEFloodElement")}}</li>
 <li>{{domxref("SVGFEGaussianBlurElement")}}</li>
 <li>{{domxref("SVGFEImageElement")}}</li>
 <li>{{domxref("SVGFEMergeElement")}}</li>
 <li>{{domxref("SVGFEMorphologyElement")}}</li>
 <li>{{domxref("SVGFEOffsetElement")}}</li>
 <li>{{domxref("SVGFESpecularLightingElement")}}</li>
 <li>{{domxref("SVGFETileElement")}}</li>
 <li>{{domxref("SVGFETurbulenceElement")}}</li>
</ul>
